e17 (0.26.0-4) unstable; urgency=medium

  * Build-depend on systemd-dev instead of systemd. (systemd is still pulled
    in via bluez -> udev -> systemd). Closes: #1060480

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 May 2024 06:57:07 +0200

e17 (0.26.0-3) unstable; urgency=medium

  * Install wayland .desktop file with a different name.
    When the xsession and wayland-session desktop file had the same name,
    gdm would only show & start the wayland session. Renaming the wayland
    session seems to fix this.
    https://gitlab.gnome.org/GNOME/gdm/-/issues/898

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 06 Jan 2024 13:49:21 -0800

e17 (0.26.0-2) unstable; urgency=medium

  * Fix bug in postinst which failed to setup manpage alternative.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 03 Jan 2024 22:53:39 -0800

e17 (0.26.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream NEWS has moved to their website:
    https://www.enlightenment.org/news/2023-12-23-enlightenment-0.26.0
  * Remove Albin Tonnerre and Jan Lübbe from uploaders. Thanks for all of
    the work on Enlightenment!
  * d/p/0003-Avoid-using-mips-as-a-variable.patch: drop, applied upstream
  * ship enlightenment-portals.conf for xdg-desktop-portals (Closes: #1050928)
  * use wildcards in lintian-overrides to avoid search & replace
  * convert a few more mis-sized icons during install
  * enlightenment.postinst: update x-window-manager alternative score based on
    policy 11.8.4, and add manpage alternative
  * d/control: bump EFL requirement to 1.27.0
  * Fix Wayland session file distribution.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 03 Jan 2024 22:02:51 -0800

e17 (0.25.4-2) unstable; urgency=medium

  * d/copyright: update upstream git url
  * d/control: Recommend libpam-fprintd for fingerprint support
  * d/control: bump Standards-Version, no changes needed

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 24 Dec 2022 15:10:38 -0800

e17 (0.25.4-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2022-37706: fix checks in enlightenment_sys

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 16 Sep 2022 13:41:11 -0700

e17 (0.25.3-1) unstable; urgency=medium

  * New upstream release.

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 10 Feb 2022 21:50:52 -0800

e17 (0.25.2-1) unstable; urgency=medium

  * Revert "d/gbp.conf: enable ignore-branch to make future switching
    between sid and experimental easier."  It's too easy to forget
    --debian-branch on import-orig.
  * d/patches:
    + drop, applied upstream:
      - 0003-e_client-revert-focus-instead-of-setting-it-to-NULL.patch
      - 0004-add-forgotten-header-define.patch
      - 0005-e-focus-fix-previous-commit-segv-on-no-windows-left.patch
      - 0007-focus-do-not-revert-to-another-client-when-client-is.patch
      - 0008-focus-leave-frame-focus-setting-here.patch
    + drop, upstream replaced with a different fix:
      - 0006-e-focus-volume-dont-allow-obj-focus-that-disturbs-th.patch
    + defuzz:
      - 0003-Avoid-using-mips-as-a-variable.patch: defuzz

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 07 Feb 2022 21:54:42 -0800

e17 (0.25.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: update to version 4, simplify
  * d/patches:
    + 04_evry_fix_default_path_for_terminal.diff: update for 0.25.1
    + 0004-ddc-add-libddcutil.so.3-as-supported-as-it-is-compat.patch: drop,
      applied upstream
    + 0003-0008*: cherry-pick post 0.25 fixes for focus issues
  * d/control:
    + bump required EFL to 1.26
    + new Build-Depends on libexif-dev
    + update Recommends for libddcutil4
    + bump standard version, no changes needed
  * Add lintian overrides:
    + some lookup table data is misidentified as docs
    + some fonts aren't worth moving out of arch-specific dirs

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 23 Jan 2022 14:55:53 -0800

e17 (0.24.2-8) unstable; urgency=medium

  * d/p/0004-ddc-add-libddcutil.so.3-as-supported-as-it-is-compat.patch:
    cherry-pick fix for libddcutil.so.3.  Thanks to Sebastian Ramacher.

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 25 May 2021 22:27:31 -0700

e17 (0.24.2-7) unstable; urgency=medium

  * d/control: Recommend libddcutil3 instead of libddcutil2 which isn't in
    bullseye

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 02 May 2021 22:02:56 -0700

e17 (0.24.2-6) unstable; urgency=medium

  * Recommend libddcutil2 and update NEWS with backlight control info
  * d/p/03_test_pt_getsiginfo.diff: drop patch for hurd, efl is only built
    on linux
  * d/p/04_evry_fix_default_path_for_terminal.diff: set forwarded to
    not-needed, local change for alternatives
  * d/control: bump Standards-Version to 4.5.1, no changes needed

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 01 Jan 2021 14:29:49 -0800

e17 (0.24.2-5) unstable; urgency=medium

  * Upload to unstable, no further changes.

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 10 Aug 2020 21:59:39 -0700

e17 (0.24.2-4) experimental; urgency=medium

  * Recombine arch & indep build steps.  Fixes FTBFS without -A or -B.
    (Closes: #968030)

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 06 Aug 2020 22:20:31 -0700

e17 (0.24.2-3) experimental; urgency=medium

  * d/rules: cleanup files when building with -A/-B to fix dh_missing
    failures.

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 04 Aug 2020 22:21:17 -0700

e17 (0.24.2-2) experimental; urgency=medium

  * d/p/0003-Avoid-using-mips-as-a-variable.patch: Fixes FTBFS on mipsel &
    mips64el.
  * d/rules:
    + adopt execute_before/after rules
    + resize emixer icon to 128x128 before install
    + move enlightenment-data compression to dh_install-indep

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 04 Aug 2020 19:34:57 -0700

e17 (0.24.2-1) experimental; urgency=medium

  * New upstream release.

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 27 Jul 2020 22:48:20 -0700

e17 (0.24.1-2) experimental; urgency=medium

  * d/control:
    + Build-Conflicts on systemctl to workaround #959828 (Closes: #965107)
    + add Suggests: x-display-manager (Closes: #958455)

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 17 Jul 2020 23:04:55 -0700

e17 (0.24.1-1) experimental; urgency=medium

  * New upstream release.
  * Update lintian tag after rename

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 08 Jun 2020 22:35:49 -0700

e17 (0.24.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #951117)
  * Drop patches applied upstream.
    + 05_fix_enlightenment_remote_bashism.diff
    + 10_fix_filemanager_handling.diff
    + 0005-err-logs-fix-up-some-of-the-err-logs-i-see-accessing.patch
    + 0006-silence-another-ERR-log-with-invalid-obj-type.patch
  * enlightenment: new single setuid binary to replace many.
    Upstream added this to keep the number of setuid helpers to a minimum.
  * d/control: Build-Depends on efl >= 1.24.1
  * Update moved installation paths
  * silence incorrect lintian warnings
  * d/copyright: update
  * silence lintian warning regarding upstream header
  * simplify module installation
  * Switch to debhelper compat 13

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 19 May 2020 23:08:55 -0700

e17 (0.23.1-5) unstable; urgency=medium

  * d/gbp.conf: enable ignore-branch to make future switching between sid and
    experimental easier.
  * d/p/000[56]-*.patch: pull in upstream changes to quiet down logs.
    (Closes: #952403)

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 29 Feb 2020 14:24:48 -0800

e17 (0.23.1-4) unstable; urgency=medium

  * Upload to unstable
  * d/gbp.conf: update config to point to debian/sid branch.
  * d/control: update to Standards-Version 4.5.0, no changes needed.
  * d/control: only Build-Depend on bluez for linux.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 29 Jan 2020 22:23:26 -0800

e17 (0.23.1-3) experimental; urgency=low

  * add missing uuid-dev Build-Depends
  * add Build-Depends on bluez and rfkill so meson can find the right
    paths for l2ping and rfkill
  * Depend on wayland and drm engines so wayland works out of the box
  * d/control: wrap-and-sort -tvs

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 26 Dec 2019 17:27:51 -0800

e17 (0.23.1-2) experimental; urgency=medium

  * Update Forwarded field on forwarded patches
  * Enable wayland during build, requires EFL >=1.23.
  * enlightenment-data: re-add AUTHORS, About uses this at runtime

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 16 Nov 2019 13:39:37 -0800

e17 (0.23.1-1) experimental; urgency=medium

  * New upstream release.

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 29 Sep 2019 13:17:27 -0700

e17 (0.23.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches/03_test_pt_getsiginfo.diff: defuzz
  * Drop transitional packages after buster release.
  * d/copyright: update
  * Update location for example enlightenemnt systemd unit
  * d/gbp.conf: drop cleaner for salsa-ci support
  * d/gbp.conf: simplify, switch to experimental
  * Switch to debhelper 12, compat level 12, and simplify rules.
  * d/copyright: drop unused info after autotools removal
  * d/rules: pull the arch-specific module path from config.h
  * d/control:
    + bump Standards-Version to 4.4.0, no changes needed.
    + Switch to my debian email
    + bump EFL requirement to 1.22.3
    + drop libecore-bin Build-Dep version, libefl-all-bin will pull in the
      right version
    + drop pm-utils recommends, systemctl is used to control power
    + Update recommends list from notes in upstream README
    + suggest gdb, since it's only needed for backtrace generation

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 25 Aug 2019 17:52:25 -0700

e17 (0.22.4-2) unstable; urgency=medium

  * d/p/10_fix_filemanager_handling.diff: Don't set x-scheme-handler/file
    for File manager app.  Closes: #917126

 -- Ross Vandegrift <ross@kallisti.us>  Tue, 15 Jan 2019 20:10:18 -0800

e17 (0.22.4-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat v11
  * Bump Standards-Version to 4.2.1, no changes required.
  * d/copyright: update for 0.22.4, add a missing email.

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 09 Sep 2018 15:25:44 -0700

e17 (0.22.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Ross Vandegrift <ross@kallisti.us>  Thu, 21 Jun 2018 19:43:08 -0700

e17 (0.22.3-1) experimental; urgency=low

  * New upstream release.
  * Screenlock/unlock now uses SUID enlightenment_ckpasswd helper binary. Add
    lintian override.
    3c4e25360eb65d0bc9dbfbc2d697898d5b42280d
  * Move license texts to the end of debian/copyright.
    global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Add missing patch descriptions.
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jun 2018 14:34:48 +0200

e17 (0.22.1-3) unstable; urgency=medium

  * Update Vcs URLs for alioth -> salsa transition
  * Update gbp.conf for debian sid branch
  * Upload to unstable

 -- Ross Vandegrift <ross@kallisti.us>  Wed, 28 Mar 2018 10:12:20 -0700

e17 (0.22.1-2) experimental; urgency=medium

  * Team upload.
  * Copy fake_home.sh from efl and run dh_auto_build under it. edje_cc needs a
    writeable HOME. Closes: #883833

 -- Andreas Metzler <ametzler@debian.org>  Fri, 08 Dec 2017 08:01:08 +0100

e17 (0.22.1-1) experimental; urgency=medium

  * New upstream release
  * d/control: Add myself to uploaders
  * d/enlightenment.lintian-overrides.in: suppress warnings for image the
    vkbd image files that upstream locates with the module in /usr/lib.

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 02 Dec 2017 17:06:46 -0800

e17 (0.22.0-2) experimental; urgency=low

  * Team upload.
  * Fix debhelper 10 (previous version was missing a commit)
  * d/rules:
    + simplify lintian-overrides path generation
    + switch from autotools+make -> meson+ninja for build
    + switch to dh_missing
  * d/control:
    + Bump Standards-Version to 4.1.1
    + Set Rules-Requires-Root to disable building as root
  * Include vkbd module that was missing from 0.22.0-1
  * d/watch: use https in watch url

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 19 Nov 2017 17:31:20 -0800

e17 (0.22.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #775369, #855436, #728423)

  [ Ross Vandegrift ]
  * Update gbp.conf for debian experimental branch
  * Update README.source for tarball-based workflow
  * Put enlightenment systemd unit in examples (Closes: #854698)
  * d/p/10_type_restore_LDFLAGS.diff: drop, applied upstream
  * debian/watch: fix handling of rc versions
  * debian/control: Enlightenment now requires EFL >= 1.20.5, so the
    libelementary-dev Build-Dep can be dropped.
  * Ship cpuclock_sysfs helper for new sysinfo module.
  * d/p/05_fix_enlightenment_remote_bashism.diff: fix bashism (Closes: #690719)
  * Add maintscript to handle renaming enlightenment-applications.menu ->
    e-applications.menu (Closes: #704185)
  * Recommend terminology | x-terminal-emulator (Closes: #848490)
  * Enable connman module support (Closes: #593366)
  * Re-enable ALSA mixer support, it can now co-exist with pulse
  * Enable elocation support for geolocation
  * Switch to debhelper 10

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 05 Nov 2017 10:10:52 -0800

e17 (0.21.5-1) experimental; urgency=medium

  [ Ross Vandegrift ]
  * Team upload.
  * New upstream release
  * debian/gbp.conf: import & build upstream tarballs
  * debian/rules: only set setuid perms when running binary-arch rules

  [ Andreas Metzler ]
  * 10_typo_restore_LDFLAGS.diff: Fix typo in configure.ac (upstream), causing
    empty LDFLAGS.

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 18 Dec 2016 09:58:16 -0500

e17 (0.21.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #836089)

  [ Ross Vandegrift ]
  * enlightenment_backlight needs to be setuid root for backlight control
  * Update dbus deps to use dbus-x11 or dbus-user-session (Closes: #836090)

  [ Nicolas Braud-Santoni ]
  * Use HTTPS for Vcs-* links
  * debian/control: Use HTTPS for the website

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 27 Nov 2016 17:01:59 -0500

e17 (0.21.2-2) experimental; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * Enable build hardening options
  * Bump Standards-Version to 3.9.8

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 02 Oct 2016 14:27:55 -0400

e17 (0.21.2-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 13 Aug 2016 16:16:48 -0400

e17 (0.21.1-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 13 Aug 2016 16:16:48 -0400

e17 (0.20.7-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 07 May 2016 13:44:33 -0400

e17 (0.20.6-1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * Add gbp.conf and notes on usage in README.source

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 27 Mar 2016 11:35:54 -0400


e17 (0.20.2-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release
  * Change transitional package sections to oldlibs

 -- Ross Vandegrift <ross@kallisti.us>  Fri, 01 Jan 2016 16:59:10 -0500

e17 (0.20.1-1) UNRELEASED; urgency=medium

  [ Ross Vandegrift ]
  * Non-maintainer upload.
  * New upstream release
  * patches/03_test_pt_getsiginfo.diff: defuzz
  * patches/04_evry_fix_default_path_for_terminal.diff: defuzz
  * Build-Depend on libecore-bin for eldbus-codegen
  * Build-Depends-Indep on doxygen
  * debian/rules: disable geolocation to build with EFL 1.15
  * Ship Illume documentation
  * Ship emixer
  * Ship additional upstream documentation

  [ Andreas Metzler ]
  * Drop Conflicts of enlightenment with itself and add transition packages
    for e17 and e17-data to make "apt full-upgrade" work.
  * Do not introduce enlightenment-dbg package, automatic debug packages
    (ddeb) makes it unnecessary.

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 20 Dec 2015 16:08:35 -0500

e17 (0.19.14-1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 12 Dec 2015 14:14:23 -0500

e17 (0.19.11-1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * build-dep on libefl-all-dev
  * Enable parallel build
  * Bump Standards-Version to 3.9.6
  * Add systemd service file
  * Move efm desktop file to e17
  * patches/01_sysaction_pm_utils: drop for systemd support
  * Add build-depend on systemd

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 07 Nov 2015 17:42:48 -0500

e17 (0.19.2-0.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Update URL in watch file.
  * New upstream version.
    + Bump version of efl (build-)deps to 1.11, drop libedbus-dev (build-)dep.
    + Add (build-)dependencies on libelementary-dev and libemotion-dev.
    + The illume and wizard/extra_desktops modules are no more.
  * Invoke dh_install with "--list-missing" option.
  * Menu file renamed to e-applications.menu.
  * Ship usr/include/enlightenment/e_client.x.
  * configure with --disable-silent-rules.
  * Use debhelper v9 compat, build with -Wl,--as-needed.
  * e17-dbg was empty, fix this by overriding dh_strip in debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Dec 2014 15:31:26 +0100

e17 (0.17.6-1) unstable; urgency=medium

  * New upstream version
  * debian/control: update Build-Depends to use EFL 1.7.10
  * debian/control: eeze only exists on Linux architectures (Closes: #748058)
  * debian/patches: drop e_sys_env_cleanup+kfreebsd_no_ptrace, applied upstream

 -- Albin Tonnerre <lutin@debian.org>  Sun, 01 Jun 2014 20:28:41 +0200

e17 (0.17.3-4) unstable; urgency=medium

  * debian/control: refactor the list of deps/builddeps to make it more readable
  * debian/control: add Build-Depends on libeeze-dev, now provided by EFL 1.8

 -- Albin Tonnerre <lutin@debian.org>  Sun, 04 May 2014 20:20:13 +0200

e17 (0.17.3-3) unstable; urgency=medium

  * debian: switch to a .manpages file to install manpages instead of using CDBS
  * debian: switch from CDBS to dh
  * debian: use dh-autoreconf to get recent autotools version (Closes: #738272)
  * debian/rules: make sure we build using the hardening flags
  * patches/00_e_sys_env_cleanup: backport security fixes (Closes: #737705)

 -- Albin Tonnerre <lutin@debian.org>  Sun, 09 Feb 2014 16:35:48 +0100

e17 (0.17.3-2) unstable; urgency=low

  * patches/02_kfreebsd_no_ptrace: fix FTBFS on KFreeBSD (Closes: #712931)
  * patches/03_test_pt_getsiginfo: test for PT_GETSIGINFO, fixes FTBFS on Hurd
  * debian/rules: avoid timestamps in gzipped documentation (Closes: #724340)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 02 Nov 2013 14:41:07 +0100

e17 (0.17.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: update Build-Depends to use EFL 1.7.7
  * debian/control: update URI in the VCS-* fields
  * debian/watch: track releases instead of snapshots (Closes: #717507)
  * debian/control: add Recommends: pm-utils to get suspend support
  * patches/01_sysaction_pm_utils: use pm-utils for suspend (Closes: #538091)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 03 Aug 2013 12:14:52 +0200

e17 (0.17.1-2) unstable; urgency=low

  * debian/NEWS: document the release configuration file format change
  * debian/control: add missing dependency on libedje-bin
  * Upload to unstable

 -- Albin Tonnerre <lutin@debian.org>  Sat, 11 May 2013 14:26:39 +0200

e17 (0.17.1-1) experimental; urgency=low

  * New upstream release
  * Update build-deps to use the latest version of EFL
  * Add new necessary Build-Dep on libeio
  * Add B-D on libxcb-keysyms1-dev for the alert module
  * Use the upstream-provided menu file instead of our own
  * drop patches/02_e_alert_path_max, merged upstream
  * Refresh patches/04_evry_fix_default_path_for_terminal
  * debian/rules: stop using configure options removed upstream
  * Stop trying to install files that were removed upstream
  * Install new binaries enlightenment_open and enlightenment_filemanager
  * debian/rules: update rule to extract the module path from configure.ac

 -- Albin Tonnerre <lutin@debian.org>  Sat, 02 Feb 2013 12:29:24 +0100

e17 (0.16.999.70492-2) unstable; urgency=low

  * debian/control: bump Standards-Version to 3.9.3
  * debian/control: reword e17{,-dbg} short description to make lintian happy
  * debian/e17.lintian-overrides: remove override for files that no longer exist
  * Add debian/patches/02_e_alert_path_max.
      - Fix FTBFS on Hurd: include config.h to get PATH_MAX (Closes: #535775)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 26 May 2012 17:40:36 +0200

e17 (0.16.999.70492-1) unstable; urgency=low

  * New upstream snapshot
  * drop patches/02_upgrade_notice: it should no longer be needed
  * drop patches/03_bind_XF86PowerOff_instead_of_Execute: applied upstream
  * patches/04_evry_fix_default_path_for_terminal: follow upstream changes
  * debian/control: add Build-Dep on libxcb-shape0-dev for the alert module
  * debian/e17.install: update following upstream removals/additions

 -- Albin Tonnerre <lutin@debian.org>  Sun, 13 May 2012 20:43:33 +0200

e17 (0.16.999.55225-1) unstable; urgency=low

  * New upstream snapshot
    - Closes: #600323
  * debian/control: use architecture wildcards instead of listing architectures
  * debian/rules: fix the configure.ac version matching regexp
  * debian/control: remove useless virtual package efl-dev
  * Add patches/02_upgrade_notice.diff:
    - The binary format used by e17 for themes and background has changed.
      Display a notice when e17 starts to warn users that they may need to
      convert their theme and background files

 -- Albin Tonnerre <lutin@debian.org>  Sun, 03 Apr 2011 18:34:21 +0200

e17 (0.16.999.49898-1) unstable; urgency=low

  * New upstream snapshot
    - Should fix FTBFS on Hurd (Closes: #535775)
  * Explicitly disable the connman module to work around autofoo bugs
  * Switch to '3.0 (quilt)' source format
  * Drop patches/02_fix_default_config_for_upgrades.diff, no longer
    relevant
  * Refresh patches/04_evry_fix_default_path_for_terminal.diff
  * debian/rules: update svn snapshot version extraction from
    configure.ac
  * Remove enlightenment_fm_open from e17, the binary no longer exists
  * Update e17.install with new modules
  * Bump Standards-Version, no change required
  * Remove Xavier Oswald from uploaders, he is no longer active
  * e17: add Depends: dbus-x11 so that enlightenment_remote works
    properly
  * upload makes e17 installable again (Closes: #590309)

 -- Albin Tonnerre <lutin@debian.org>  Tue, 27 Jul 2010 19:51:26 +0200

e17 (0.16.999.063-1) unstable; urgency=low

  * New upstream snapshot
  * Add new modules to the install files
  * Add debian/patches/04_evry_fix_default_path_for_terminal.diff:
    - Use /usr/bin/x-terminal-emulator instead of hardcoding xterm
  * Update my email address

 -- Albin Tonnerre <lutin@debian.org>  Sat, 05 Dec 2009 12:56:10 +0100

e17 (0.16.999.062-1) unstable; urgency=low

  * New upstream snapshot
  * Remove the 'System tools' entry in enlightenment-applications.menu, it's a
    duplicate of the 'Settings' entry
  * New patch 03_bind_XF86PowerOff_instead_of_Execute_in_illume.diff
    - In illume, the poweroff action is bound to the Execute key. As there's
      no such key in Debian, use XF86PowerOff instead (Closes: #538186)
  * Update Standards-Version to 3.8.3
  * Fix the short description for e17-dbg
  * remove DEB_DH_STRIP_ARGS from debian/rules, since CDBS computes the name
    of the debug package automatically

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sat, 29 Aug 2009 21:41:31 +0200

e17 (0.16.999.061-2) unstable; urgency=low

  * Don't Build-Depend on libasound2-dev on non-linux architectures, fixing an
    FTBFS. Thanks to Cyril Brulebois. (Closes: #536103)
  * Move e17-dbg to the debug section
  * Remove ununsed override: possible-gpl-code-linked-with-openssl
  * Adjust the freqset binary path for the setuid-binary override

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Tue, 14 Jul 2009 21:16:57 +0200

e17 (0.16.999.061-1) unstable; urgency=low

  * New upstream snapshot
  * Drop 03_config_panel_category_list_is_not_an_ilist.diff, applied upstream
  * Add 01_menu_extra_path.patch:
    - Previously patched in efreet. Allows the use of an e17-provided fallback
      menu in case efreet doesn't find any.
  * Update to Standards-Version 3.8.2, no change required
  * Improve the e17-provided menu file, thanks Luca Capello (Closes: #532214)
  * Update e17 deps following the evas engines rename
  * Upload to unstable

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Wed, 24 Jun 2009 22:41:41 +0200

e17 (0.16.999.060-1) experimental; urgency=low

  * New upstream release
    - update e17.install to add wifiget, provided with the illume module
  * Bump Standards-Version, no change required.
  * Remove build-dep on libedje-bin, now useless as libedje-dev depends on it
  * Add debian/patches/03_config_panel_category_list_is_not_an_ilist.diff
    - Cherry-pick from SVN r40508, fixes a potential issue due to
      e_widget_ilist-related functions being called with an e_widget_toolbar as
      argument

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Thu, 07 May 2009 13:54:43 +0200

e17 (0.16.999.050+svn20090203-1) experimental; urgency=low

  [Albin Tonnerre]
  * New SVN snapshot
    - Remove some patches, applied upstream:
      + 01_install_internal-use_binaries_in_usr_lib_enlightenment.diff
      + 03_fix_src-bin-makefile.diff
      + 04_fix_e_fm_main_svn38418.diff
    - control: tighten builddeps and depends of efl-dev
    - Update dependency on libevas-engines
    - e17.install: install binaries located in usr/lib/enlightenment/utils
  * e17.install: Add missing illume dicts and keyboards (Closes: #513854)

  [Luca Capello]
  * debian/e17-data.install:
    - do not install documentation duplicates (Closes: #513850)
  * debian/e17.lintian-overrides.in:
    - Add override for 'image-file-in-usr-lib' for illume keyboard images

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sat, 07 Feb 2009 10:29:53 +0100

e17 (0.16.999.050+svn20081207-2) experimental; urgency=low

  * Update dependencies for new packages names

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Tue, 06 Jan 2009 21:08:29 +0100

e17 (0.16.999.050+svn20081207-1) experimental; urgency=low

  * Upstream SVN snapshot
    - build-depend and make efl-dev depend on libeina-0.0.1a-dev
  * Update {build,}dependencies to match the new EFL packages name
  * Ship enlightenment.pc instead of enlightenment-config, as the latter is
    now deprecated (Closes: #504293)
  * Build-Depend on libasound2-dev to get the mixer module working
    - Closes: #506847
  * Make e17 depend on libedje-bin as this is necessary for e.g. changing the
    background.
  * No longer remove the wizard module from the package, as it is now usable
  * Add debian/patches/02_fix_default_config_for_upgrades.diff:
    - Add buttons for halt/shutdown/etc to the syscon module for the default
      profile. Without that, users upgrading from older versions would have an
      empty 'system' menu
  * debian/patches/{03_fix_src-bin-makefile,04_fix_e_fm_main_svn38418}.diff:
    - Cherry-pick patches from SVN to fix the file manager operations when it
     is installed in /usr/lib/enlightenment
  * debian/patches/01_install_internal-use_binaries_in_usr_lib_enlightenment.diff:
    - update, as a new binary going in /usr/lib/enlightenment was introduced
  * lintian fixes:
    - add ${misc:Depends} to dependencies
    - remove e17-data.lintian-overrides, no longer needed
    - Add overrides about setuid root programs to e17.lintian-overrides.in
  * As there is an arch-dependant lintian override, use an overrides.in and
    handle that in debian/rules.

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Fri, 02 Jan 2009 18:46:31 +0100

e17 (0.16.999.050-1) experimental; urgency=low

  * New upstream version (Closes: #504057)
    - Version B-D on libecore, libevas, libedje and libeet as e17 is using
      symbols from the new versions.
    - Build-Depend on libeet-bin, now necessary
  * Bump Standards-Version to 3.8.0
  * patch 01_install_internal-use_binaries_in_usr_lib_enlightenment.diff :
    - actually introduced in the initial revision, installs some binaries which
     are only for internal use in usr/lib/enligthenment instead of /usr/bin
  * Bump B-D on debhelper to 6.0.7 to be sure to get dh_lintian
  * Fix typo in README.Debian. (Closes: #495185)

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Mon, 10 Nov 2008 01:00:41 +0100

e17 (0.16.999.043-1) experimental; urgency=low

  [ Jan Lübbe ]
  * New upstream release
  * Add watch file

  [ Albin Tonnerre ]
  * Install the batget binary, as it actually exists in this version
  * debian/control: Add Vcs-* and Homepage fields
  * debian/rules:
    - No longer remove the layout module, as it's not installed anymore
    - No need for the tempget binary to be chmod 4755 - 755 is enough

 -- Jan Lübbe <jluebbe@debian.org>  Sat, 07 Jun 2008 18:35:29 +0200

e17 (0.16.999.042-2) experimental; urgency=low

  [ Albin Tonnerre ]
  * Install setuid binaries correctly

 -- Jan Lübbe <jluebbe@debian.org>  Mon, 05 May 2008 01:01:19 +0200

e17 (0.16.999.042-1) experimental; urgency=low

  [ Albin Tonnerre ]
  * Initial Release (Closes: #405860)
  * Override linian tag possible-gpl-code-linked-with-openssl
    - Only the Debian packaging is GPL

 -- Jan Lübbe <jluebbe@debian.org>  Sun, 04 May 2008 22:55:33 +0200
